This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 993963 - [abrt] libreoffice-core-4.1.0.4-5.fc19: GtkSalFrame::createNewWindow: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.0.4-5.fc19: GtkSalFrame::createNewWindow: Process...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:b1061c99afed85a0f86e9b26c57...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 09:29 EDT by Michal Nowak
Modified: 2013-09-07 20:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.1.1.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-07 20:30:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.80 KB, text/plain)
2013-08-06 09:29 EDT, Michal Nowak
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-06 09:29 EDT, Michal Nowak
no flags Details
File: core_backtrace (34.16 KB, text/plain)
2013-08-06 09:29 EDT, Michal Nowak
no flags Details
File: dso_list (25.30 KB, text/plain)
2013-08-06 09:29 EDT, Michal Nowak
no flags Details
File: environ (1.92 KB, text/plain)
2013-08-06 09:29 EDT, Michal Nowak
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-06 09:29 EDT, Michal Nowak
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-06 09:30 EDT, Michal Nowak
no flags Details
File: maps (120.77 KB, text/plain)
2013-08-06 09:30 EDT, Michal Nowak
no flags Details
File: open_fds (553 bytes, text/plain)
2013-08-06 09:30 EDT, Michal Nowak
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-08-06 09:30 EDT, Michal Nowak
no flags Details
File: var_log_messages (692 bytes, text/plain)
2013-08-06 09:30 EDT, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2013-08-06 09:29:28 EDT
Description of problem:
Enabled Firefox plugin in LibreOffice, opened sample ODT file in Firefox and closed the tab. LO crashed.

Version-Release number of selected component:
libreoffice-core-4.1.0.4-5.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: GtkSalFrame::createNewWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GtkSalFrame::createNewWindow at /usr/src/debug/libreoffice-4.1.0.4/vcl/unx/gtk/window/gtksalframe.cxx:2836
 #1 GtkSalFrame::SetPluginParent at /usr/src/debug/libreoffice-4.1.0.4/vcl/unx/gtk/window/gtksalframe.cxx:2940
 #2 WorkWindow::SetPluginParent at /usr/src/debug/libreoffice-4.1.0.4/vcl/source/window/wrkwin.cxx:245
 #3 VCLXWindow::SetSystemParent_Impl at /usr/src/debug/libreoffice-4.1.0.4/toolkit/source/awt/vclxwindow1.cxx:96
 #4 VCLXWindow::setProperty at /usr/src/debug/libreoffice-4.1.0.4/toolkit/source/awt/vclxwindow.cxx:1487
 #5 VCLXContainer::setProperty at /usr/src/debug/libreoffice-4.1.0.4/toolkit/source/awt/vclxcontainer.cxx:283
 #6 MainThreadFrameCloserRequest::worker at /usr/src/debug/libreoffice-4.1.0.4/svtools/source/hatchwindow/documentcloser.cxx:91
 #7 Call at /usr/src/debug/libreoffice-4.1.0.4/include/tools/link.hxx:123
 #8 ImplHandleUserEvent at /usr/src/debug/libreoffice-4.1.0.4/vcl/source/window/winproc.cxx:1986
 #9 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.1.0.4/vcl/source/window/winproc.cxx:2601
Comment 1 Michal Nowak 2013-08-06 09:29:34 EDT
Created attachment 783325 [details]
File: backtrace
Comment 2 Michal Nowak 2013-08-06 09:29:38 EDT
Created attachment 783326 [details]
File: cgroup
Comment 3 Michal Nowak 2013-08-06 09:29:42 EDT
Created attachment 783327 [details]
File: core_backtrace
Comment 4 Michal Nowak 2013-08-06 09:29:46 EDT
Created attachment 783328 [details]
File: dso_list
Comment 5 Michal Nowak 2013-08-06 09:29:51 EDT
Created attachment 783329 [details]
File: environ
Comment 6 Michal Nowak 2013-08-06 09:29:55 EDT
Created attachment 783330 [details]
File: exploitable
Comment 7 Michal Nowak 2013-08-06 09:30:00 EDT
Created attachment 783331 [details]
File: limits
Comment 8 Michal Nowak 2013-08-06 09:30:05 EDT
Created attachment 783332 [details]
File: maps
Comment 9 Michal Nowak 2013-08-06 09:30:09 EDT
Created attachment 783333 [details]
File: open_fds
Comment 10 Michal Nowak 2013-08-06 09:30:13 EDT
Created attachment 783334 [details]
File: proc_pid_status
Comment 11 Michal Nowak 2013-08-06 09:30:20 EDT
Created attachment 783335 [details]
File: var_log_messages
Comment 12 Fedora Update System 2013-09-03 13:06:59 EDT
libreoffice-4.1.1.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.1.2-3.fc19
Comment 13 Fedora Update System 2013-09-04 21:30:50 EDT
Package libreoffice-4.1.1.2-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.1.2-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15783/libreoffice-4.1.1.2-3.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-09-07 20:30:03 EDT
libreoffice-4.1.1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.